Package ghidra.app.events

# Class ExternalProgramSelectionPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ExternalProgramSelectionPluginEvent

public final class ExternalProgramSelectionPluginEvent extends PluginEvent
Plugin event generated when a tool receives an ProgramSelectionToolEvent; the selection in the external tool has changed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  The name of this plugin event.
  `static final String`
  `TOOL_EVENT_NAME`

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalProgramSelectionPluginEvent(String src, ProgramSelection sel, Program program)`
  Construct a new event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Program`
  `getProgram()`
  Returns the Program object that the selection refers to.
  `ProgramSelection`
  `getSelection()`
  Get the selection for this event.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    The name of this plugin event.
    See Also:
      - Constant Field Values

  - ### TOOL_EVENT_NAME

    public static final String TOOL_EVENT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExternalProgramSelectionPluginEvent

    public ExternalProgramSelectionPluginEvent(String src, ProgramSelection sel, Program program)
    Construct a new event.
    Parameters:
      `src` - source of this event
      `sel` - selection
      `program` - program that is open

- ## Method Details

  - ### getSelection

    public ProgramSelection getSelection()
    Get the selection for this event.

  - ### getProgram

    public Program getProgram()
    Returns the Program object that the selection refers to.